dnl macros in this file
dnl
dnl General
dnl
dnl AC_INIT_AS - must be called once, after AC_INIT
dnl AC_SYSCALL_CONVENTION - musr be called once to determine syscall calling
dnl                         convention
dnl
dnl AC_TRY_RUN_AS - same as try_run, just uses as
dnl
dnl Programs
dnl AC_PROG_AS - assembler
dnl AC_PROG_LD - linker
dnl AC_PROG_TEST_L - check how to test for soft links
dnl 
dnl Syscall tests
dnl AC_SYSCALL_UMASK
dnl AC_SYSCALL_RMDIR
dnl AC_SYSCALL_MKDIR
dnl AC_SYSCALL_GETDIRENTRIES
dnl AC_SYSCALL_GETDENTS
dnl AC_SYSCALL_READLINK
dnl AC_SYSCALL_CLOSE
dnl AC_SYSCALL_READDIR
dnl AC_SYSCALL_FSTAT
dnl AC_SYSCALL_OPEN
dnl AC_SYSCALL_LSTAT
dnl AC_SYSCALL_STAT
dnl AC_SYSCALL_WRITE
dnl AC_SYSCALL_GETCWD
dnl
dnl Structures
dnl AC_STRUCT_DIRENT
dnl AC_STRUCT_ST_STAT
dnl
dnl =========================================================================

dnl initialize AS-related stuff
dnl
AC_DEFUN(AC_INIT_AS,[
AC_LANG_AS
rm -rf confdefs.i
# AS loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.i
])

dnl
dnl test for syscall SYS_umask
dnl
AC_DEFUN(AC_SYSCALL_UMASK,[
AC_REQUIRE([AC_SYSCALL_CONVENTION])dnl
AC_MSG_CHECKING([for syscall umask])
AC_CACHE_VAL(ac_cv_syscall_umask,[

ac_cv_syscall_umask=n/a
for ac_syscall_try in 60; do

AC_TRY_RUN_AS([
	.include "confdefs.i"
	.globl _start
_start:

.ifdef SYSCALL_unix
	pushl	\$][0123
        movl    \$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][8,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][0123,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
.ifdef SYSCALL_unix
	pushl	\$][022
        movl    \$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][8,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][022,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
	cmpl	\$][0123,%eax
	setnz	%bl
// Quit
	xorl	%eax,%eax
	incl	%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
],
ac_cv_syscall_umask=$ac_syscall_try
,
dnl ac_cv_syscall_umask=n/a
)

done
])dnl

AC_MSG_RESULT($ac_cv_syscall_umask)
if test "$ac_cv_syscall_umask" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_UMASK = $ac_cv_syscall_umask
EOF
fi
])


dnl test for syscall SYS_mkdir
dnl
AC_DEFUN(AC_SYSCALL_MKDIR,[
AC_REQUIRE([AC_SYSCALL_CONVENTION])dnl
AC_MSG_CHECKING([for syscall mkdir])
AC_CACHE_VAL(ac_cv_syscall_mkdir,[

ac_cv_syscall_mkdir=n/a
for ac_syscall_try in 136 39; do

AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_DIRENT=268
	.globl _start
_start:

.ifdef SYSCALL_unix
	pushl	\$][0755
        pushl	\$][testdir_name
        movl	\$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][12,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][0755,%ecx
        movl    \$][testdir_name,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
	xorl	%ebx,%ebx
	testl	%eax,%eax
	setnz	%bl
// Quit
	xorl	%eax,%eax
	incl	%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
testdir_name:
	.ascii	"conftest.dir\000"
],
test -d conftest.dir && ac_cv_syscall_mkdir=$ac_syscall_try
,
dnl ac_cv_syscall_mkdir=n/a
)

done
])dnl

AC_MSG_RESULT($ac_cv_syscall_mkdir)
if test "$ac_cv_syscall_mkdir" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_MKDIR = $ac_cv_syscall_mkdir
EOF
fi
])



dnl test for syscall SYS_rmdir
dnl
AC_DEFUN(AC_SYSCALL_RMDIR,[
AC_REQUIRE([AC_SYSCALL_CONVENTION])dnl
AC_MSG_CHECKING([for syscall rmdir])
AC_CACHE_VAL(ac_cv_syscall_rmdir,[

ac_cv_syscall_rmdir=n/a
for ac_syscall_try in 137 40; do

mkdir conftest.dir

AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_DIRENT=268
	.globl _start
_start:

.ifdef SYSCALL_unix
        pushl	\$][testdir_name
        movl	\$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][8,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][testdir_name,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
	xorl	%ebx,%ebx
	testl	%eax,%eax
	setnz	%bl
// Quit
	xorl	%eax,%eax
	incl	%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
testdir_name:
	.ascii	"conftest.dir\000"
],
test -d conftest.dir || ac_cv_syscall_rmdir=$ac_syscall_try
,
dnl ac_cv_syscall_rmdir=n/a
)

done
])dnl

AC_MSG_RESULT($ac_cv_syscall_rmdir)
if test "$ac_cv_syscall_rmdir" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_RMDIR = $ac_cv_syscall_rmdir
EOF
fi
])


dnl examine dirent format
AC_DEFUN(AC_STRUCT_DIRENT,[

if eval "test \"`echo '$''{'ac_cv_struct_dirent_name'+set}'`\" != set"; then
AC_SYSCALL_READDIR
if eval "test \"`echo '$''{'ac_cv_struct_dirent_name'+set}'`\" != set"; then
AC_SYSCALL_GETDENTS
if eval "test \"`echo '$''{'ac_cv_struct_dirent_name'+set}'`\" != set"; then
AC_SYSCALL_GETDIRENTRIES
fi
fi
fi

AC_MSG_CHECKING([dirent format])
AC_CACHE_VAL(ac_cv_struct_dirent,[
dummy=0
])dnl
if test "$ac_cv_struct_dirent_name" = 10; then
ac_cv_struct_dirent=Linux
cat >> confdefs.i <<EOF
SIZE_DIRENT = 266
DIRENT_NAME = 10
DIRENT_INO = 0
DIRENT_LEN = 8
EOF
fi
if test "$ac_cv_struct_dirent_name" = 8; then
ac_cv_struct_dirent=BSD
cat >> confdefs.i <<EOF
SIZE_DIRENT = 1024
DIRENT_NAME = 8
DIRENT_INO = 0
DIRENT_LEN = 4
EOF
fi
AC_MSG_RESULT($ac_cv_struct_dirent)
])


dnl test for syscall SYS_getdirentries
dnl and struct dirent
dnl
AC_DEFUN(AC_SYSCALL_GETDIRENTRIES,[
AC_REQUIRE([AC_SYSCALL_OPEN])dnl
AC_MSG_CHECKING([for syscall getdirentries])

if eval "test \"`echo '$''{'ac_cv_syscall_getdirentries'+set}'`\" = set" && eval "test \"`echo '$''{'ac_cv_struct_dirent_name'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else

ac_cv_syscall_getdirentries=n/a
for ac_struct_try in 8; do
for ac_syscall_try in 196 156; do

AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_DIRENT=2048
	.globl _start
_start:
.ifdef SYSCALL_unix
        pushl   \$][0
        pushl   \$][root_path
        movl    \$][5,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][12,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][0,%ecx
        movl    \$][root_path,%ebx
        movl    \$][5,%eax
        int     \$][0x80
.endif

.ifdef SYSCALL_unix
	pushl	\$][0
        pushl	\$][SIZE_DIRENT
        pushl	\$][dirent
        pushl	%eax
        movl    \$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][20,%esp
.endif
.ifdef SYSCALL_linux
	xorl	%esi,%esi
        movl    \$][IZE_DIRENT,%edx
        movl    \$][dirent,%ecx
        movl    %eax,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
	xorl	%ebx,%ebx
	incl    %eax
	setz	%bl
// entries ".\0" or at least "..\0" must be first
        cmpw    \$][0x002E,dirent+$ac_struct_try
        setne	%bl

	xorl	%eax,%eax
	incl	%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
root_path:
        .ascii  "/\000"
	.bss
        .lcomm  dirent,SIZE_DIRENT
],
ac_cv_syscall_getdirentries=$ac_syscall_try
ac_cv_struct_dirent_name=$ac_struct_try
,
dnl ac_cv_syscall_getdirentries=n/a
)
done
done
fi

AC_MSG_RESULT($ac_cv_syscall_getdirentries)
if test "$ac_cv_syscall_getdirentries" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_GETDIRENTRIES = $ac_cv_syscall_getdirentries
EOF
fi
])

dnl test for syscall SYS_getdents
dnl and struct dirent
dnl
AC_DEFUN(AC_SYSCALL_GETDENTS,[
AC_REQUIRE([AC_SYSCALL_OPEN])dnl
AC_MSG_CHECKING([for syscall getdents])

if eval "test \"`echo '$''{'ac_cv_syscall_getdents'+set}'`\" = set" && eval "test \"`echo '$''{'ac_cv_struct_dirent_name'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else

ac_cv_syscall_getdents=n/a
for ac_struct_try in 10 8; do
for ac_syscall_try in 272 141; do

AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_DIRENT=2048
	.globl _start
_start:
.ifdef SYSCALL_unix
        pushl   \$][0
        pushl   \$][root_path
        movl    \$][5,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][12,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][0,%ecx
        movl    \$][root_path,%ebx
        movl    \$][5,%eax
        int     \$][0x80
.endif

.ifdef SYSCALL_unix
        pushl	\$][SIZE_DIRENT
        pushl	\$][dirent
        pushl	%eax
        movl    \$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][16,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][SIZE_DIRENT,%edx
        movl    \$][dirent,%ecx
        movl    %eax,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
	xorl	%ebx,%ebx
	incl    %eax
	setz	%bl
// entries ".\0" or at least "..\0" must be first
        cmpw    \$][0x002E,dirent+$ac_struct_try
        setne	%bl

	xorl	%eax,%eax
	incl	%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
root_path:
        .ascii  "/\000"
	.bss
        .lcomm  dirent,SIZE_DIRENT
],
ac_cv_syscall_getdents=$ac_syscall_try
ac_cv_struct_dirent_name=$ac_struct_try
,
dnl ac_cv_syscall_getdents=n/a
)
done
done
fi

AC_MSG_RESULT($ac_cv_syscall_getdents)
if test "$ac_cv_syscall_getdents" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_GETDENTS = $ac_cv_syscall_getdents
EOF
fi
])

dnl test for syscall SYS_readlink
dnl
AC_DEFUN(AC_SYSCALL_READLINK,[
AC_REQUIRE([AC_SYSCALL_CONVENTION])dnl
AC_REQUIRE([AC_PROG_LN_S])dnl
AC_MSG_CHECKING([for syscall readlink])
AC_CACHE_VAL(ac_cv_syscall_readlink,[


ac_cv_syscall_readlink=n/a
for ac_syscall_try in 58 85; do

echo > conftest.link1
$LN_S conftest.link1 conftest.link2
AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_DIRENT=268
	.globl _start
_start:

.ifdef SYSCALL_unix
        pushl	\$][255
        pushl	\$][readlink_buffer
        pushl	\$][readlink_file
        movl	\$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][16,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][255,%edx
        movl    \$][readlink_buffer,%ecx
        movl    \$][readlink_file,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
	xorl	%ebx,%ebx
	cmpb	\$][0x63,readlink_buffer
	setne	%bl
// Quit
	xorl	%eax,%eax
	incl	%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
readlink_file:
	.ascii	"conftest.link2\000"
	.bss
	.lcomm	readlink_buffer,50
],
ac_cv_syscall_readlink=$ac_syscall_try
,
dnl ac_cv_syscall_readlink=n/a
)
done
])dnl

AC_MSG_RESULT($ac_cv_syscall_readlink)
if test "$ac_cv_syscall_readlink" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_READLINK = $ac_cv_syscall_readlink
EOF
fi
])


dnl test for syscall SYS_close
dnl
AC_DEFUN(AC_SYSCALL_CLOSE,[
AC_REQUIRE([AC_SYSCALL_OPEN])dnl
AC_MSG_CHECKING([for syscall close])
AC_CACHE_VAL(ac_cv_syscall_close,[

ac_cv_syscall_close=n/a
for ac_syscall_try in 6; do

AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_DIRENT=268
	.globl _start
_start:
// Open
.ifdef SYSCALL_unix
        pushl   \$][0
        pushl   \$][root_path
        movl    \$][5,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][12,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][0,%ecx
        movl    \$][root_path,%ebx
        movl    \$][5,%eax
        int     \$][0x80
.endif
	movl	%eax,%edi
//Close
.ifdef SYSCALL_unix
        pushl	%eax
        movl    \$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][8,%esp
.endif
.ifdef SYSCALL_linux
        movl    %eax,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
// subsequent open should return the same fd
// (don't really know if it's always supposed to be true)
.ifdef SYSCALL_unix
        pushl   \$][0
        pushl   \$][root_path
        movl    \$][5,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][12,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][0,%ecx
        movl    \$][root_path,%ebx
        movl    \$][5,%eax
        int     \$][0x80
.endif
	xorl	%ebx,%ebx
	cmpl	%eax,%edi
	setne	%bl
// Quit
	xorl	%eax,%eax
	incl	%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
root_path:
        .ascii  "/\000"
	.bss
        .lcomm  dirent,SIZE_DIRENT
],
ac_cv_syscall_close=$ac_syscall_try
,
dnl ac_cv_syscall_close=n/a
)
done
])dnl

AC_MSG_RESULT($ac_cv_syscall_close)
if test "$ac_cv_syscall_close" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_CLOSE = $ac_cv_syscall_close
EOF
fi
])


dnl test for syscall SYS_readdir
dnl
AC_DEFUN(AC_SYSCALL_READDIR,[
AC_REQUIRE([AC_SYSCALL_OPEN])dnl
AC_MSG_CHECKING([for syscall readdir])

if eval "test \"`echo '$''{'ac_cv_syscall_readdir'+set}'`\" = set" && eval "test \"`echo '$''{'ac_cv_struct_dirent_name'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else

ac_cv_syscall_readdir=n/a
for ac_syscall_try in 89; do
for ac_struct_try in 10; do

AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_DIRENT=268
	.globl _start
_start:
.ifdef SYSCALL_unix
        pushl   \$][0
        pushl   \$][root_path
        movl    \$][5,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
        addl    \$][12,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][0,%ecx
        movl    \$][root_path,%ebx
        movl    \$][5,%eax
        int     \$][0x80
.endif

.ifdef SYSCALL_unix
        pushl	\$][1
        pushl	\$][dirent
        pushl	%eax
        movl    \$][$ac_syscall_try,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][16,%esp
.endif
.ifdef SYSCALL_linux
        movl    \$][1,%edx
        movl    \$][dirent,%ecx
        movl    %eax,%ebx
        movl    \$][$ac_syscall_try,%eax
        int     \$][0x80
.endif
	xorl	%ebx,%ebx
	decl    %eax
	setne	%bl
// entries ".\0" or at least "..\0" must be first
        cmpw    \$][0x002E,dirent+$ac_struct_try
        setne	%bl

	xorl	%eax,%eax
	incl	%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
root_path:
        .ascii  "/\000"
	.bss
        .lcomm  dirent,SIZE_DIRENT
],
ac_cv_syscall_readdir=$ac_syscall_try
ac_cv_struct_dirent_name=$ac_struct_try
,
dnl ac_cv_syscall_readdir=n/a
)
done
done
fi

AC_MSG_RESULT($ac_cv_syscall_readdir)
if test "$ac_cv_syscall_readdir" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_READDIR = $ac_cv_syscall_readdir
EOF
fi
])

dnl test for syscall SYS_fstat
dnl
AC_DEFUN(AC_SYSCALL_FSTAT,[
AC_REQUIRE([AC_SYSCALL_OPEN])dnl
AC_MSG_CHECKING([for syscall fstat])

if eval "test \"`echo '$''{'ac_cv_syscall_fstat'+set}'`\" = set" && eval "test \"`echo '$''{'ac_cv_struct_st_nlink'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else

ac_cv_syscall_fstat=n/a
for ac_struct_try in 20 10; do
for ac_syscall_try in 189 108 62 28; do
dnl create a file with st_nlink = 2 to check for it
echo > conftest.link1
ln conftest.link1 conftest.link2
AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_STAT=64
	.globl _start
_start:
.ifdef SYSCALL_unix
	pushl	\$][2
	pushl	\$][testfile_path
	movl	\$][5,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][12,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][2,%ecx
	movl	\$][testfile_path,%ebx
	movl	\$][5,%eax
	int	\$][0x80
.endif
.ifdef SYSCALL_unix
	pushl	\$][st_stat
	pushl	%eax
	movl	\$][$ac_syscall_try,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][12,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][st_stat,%ecx
	movl	%eax,%ebx
	movl	\$][$ac_syscall_try,%eax
	int	\$][0x80
.endif
	xorl	%ebx,%ebx
        testl   %eax,%eax
        setnz	%bl
	cmpw	\$][2,st_stat+$ac_struct_try
	setne	%bl
	movl	\$][1,%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
testfile_path:
        .ascii  "conftest.link1\000"
	.bss
        .lcomm  st_stat,SIZE_STAT
],
ac_cv_syscall_fstat=$ac_syscall_try
ac_cv_struct_st_nlink=$ac_struct_try
,
dnl ac_cv_syscall_fstat=n/a
)
done
done
fi

AC_MSG_RESULT($ac_cv_syscall_fstat)
if test "$ac_cv_syscall_fstat" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_FSTAT = $ac_cv_syscall_fstat
EOF
fi
])



dnl test for syscall SYS_open
dnl
AC_DEFUN(AC_SYSCALL_OPEN,[
AC_REQUIRE([AC_SYSCALL_WRITE])dnl
AC_MSG_CHECKING([for syscall open])
AC_CACHE_VAL(ac_cv_syscall_open,[
echo > conftest.opentest
AC_TRY_RUN_AS([
	.include "confdefs.i"
	.globl _start
_start:
.ifdef SYSCALL_unix
	pushl	\$][2
	pushl	\$][filename
	movl	\$][5,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][12,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][2,%ecx
	movl	\$][filename,%ebx
	movl	\$][5,%eax
	int	\$][0x80
.endif
.ifdef SYSCALL_unix
	pushl	\$][buffer_l
	pushl	\$][buffer
        pushl   %eax
	movl	\$][4,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][16,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][buffer_l,%edx
	movl	\$][buffer,%ecx
	movl	%eax,%ebx
	movl	\$][4,%eax
	int	\$][0x80
.endif
	xorl	%ebx,%ebx
	cmpl	\$][0,%eax
	setl	%bl
	movl	\$][1,%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
buffer:
	.ascii	"Z"
buffer_l = .-buffer
filename:
	.ascii	"conftest.opentest\000"
],
if test "Z" = `cat conftest.opentest`; then
	ac_cv_syscall_open=5
else
	ac_cv_syscall_open=n/a
fi
,
ac_cv_syscall_open=n/a
)
])dnl
AC_MSG_RESULT($ac_cv_syscall_open)
if test "$ac_cv_syscall_open" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_OPEN = $ac_cv_syscall_open
EOF
fi
])


dnl test for syscall SYS_lstat
dnl
AC_DEFUN(AC_SYSCALL_LSTAT,[
AC_REQUIRE([AC_SYSCALL_CONVENTION])dnl
AC_MSG_CHECKING([for syscall lstat])

if eval "test \"`echo '$''{'ac_cv_syscall_lstat'+set}'`\" = set" && eval "test \"`echo '$''{'ac_cv_struct_st_nlink'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else

ac_cv_syscall_lstat=n/a
for ac_struct_try in 20 10; do
for ac_syscall_try in 190 107 84 40; do
dnl create a file with st_nlink = 2 to check for it
echo > conftest.link1
ln conftest.link1 conftest.link2
AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_STAT=64
	.globl _start
_start:
.ifdef SYSCALL_unix
	pushl	\$][st_stat
	pushl	\$][testfile_path
	movl	\$][$ac_syscall_try,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][12,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][st_stat,%ecx
	movl	\$][testfile_path,%ebx
	movl	\$][$ac_syscall_try,%eax
	int	\$][0x80
.endif
	xorl	%ebx,%ebx
        testl   %eax,%eax
        setnz	%bl
	cmpw	\$][2,st_stat+$ac_struct_try
	setne	%bl
	movl	\$][1,%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
testfile_path:
        .ascii  "conftest.link1\000"
	.bss
        .lcomm  st_stat,SIZE_STAT
],
ac_cv_syscall_lstat=$ac_syscall_try
ac_cv_struct_st_nlink=$ac_struct_try
,
dnl ac_cv_syscall_lstat=n/a
)
done
done
fi

AC_MSG_RESULT($ac_cv_syscall_lstat)
if test "$ac_cv_syscall_lstat" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_LSTAT = $ac_cv_syscall_lstat
EOF
fi
])


dnl test for syscall SYS_stat
dnl
AC_DEFUN(AC_SYSCALL_STAT,[
AC_REQUIRE([AC_SYSCALL_CONVENTION])dnl
AC_MSG_CHECKING([for syscall stat])

if eval "test \"`echo '$''{'ac_cv_syscall_stat'+set}'`\" = set" && eval "test \"`echo '$''{'ac_cv_struct_st_nlink'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else

ac_cv_syscall_stat=n/a
for ac_struct_try in 20 10; do
for ac_syscall_try in 188 106 38 18; do
dnl create a file with st_nlink = 2 to check for it
echo > conftest.link1
ln conftest.link1 conftest.link2
AC_TRY_RUN_AS([
	.include "confdefs.i"
SIZE_STAT=64
	.globl _start
_start:
.ifdef SYSCALL_unix
	pushl	\$][st_stat
	pushl	\$][testfile_path
	movl	\$][$ac_syscall_try,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][12,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][st_stat,%ecx
	movl	\$][testfile_path,%ebx
	movl	\$][$ac_syscall_try,%eax
	int	\$][0x80
.endif
	xorl	%ebx,%ebx
        testl   %eax,%eax
        setnz	%bl
	cmpw	\$][2,st_stat+$ac_struct_try
	setne	%bl
	movl	\$][1,%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
testfile_path:
        .ascii  "conftest.link1\000"
	.bss
        .lcomm  st_stat,SIZE_STAT
],
ac_cv_syscall_stat=$ac_syscall_try
ac_cv_struct_st_nlink=$ac_struct_try
,
dnl ac_cv_syscall_stat=n/a
)
done
done
fi

AC_MSG_RESULT($ac_cv_syscall_stat)
if test "$ac_cv_syscall_stat" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_STAT = $ac_cv_syscall_stat
EOF
fi
])

dnl examine st_struc format
AC_DEFUN(AC_STRUCT_ST_STAT,[
AC_REQUIRE([AC_SYSCALL_STAT])dnl
AC_MSG_CHECKING([st_struc format])
AC_CACHE_VAL(ac_cv_struct_st_stat,[
dummy=0
])dnl
if test "$ac_cv_struct_st_nlink" = 10; then
ac_cv_struct_st_stat=BSD
cat >> confdefs.i <<EOF
SIZE_STAT = 64
ST_DEV = 0
ST_INO = 4
ST_NLINK = 10
EOF
fi
if test "$ac_cv_struct_st_nlink" = 20; then
ac_cv_struct_st_stat=SysV
cat >> confdefs.i <<EOF
SIZE_STAT = 120
ST_DEV = 0
ST_INO = 14
ST_NLINK = 20
EOF
fi
AC_MSG_RESULT($ac_cv_struct_st_stat)
])

dnl test for syscall SYS_write
dnl
AC_DEFUN(AC_SYSCALL_WRITE,[
AC_REQUIRE([AC_SYSCALL_CONVENTION])dnl
AC_MSG_CHECKING([for syscall write])
AC_CACHE_VAL(ac_cv_syscall_write,[
AC_TRY_RUN_AS([
	.include "confdefs.i"
	.globl _start
_start:
.ifdef SYSCALL_unix
	pushl	\$][buffer_l
	pushl	\$][buffer
        pushl   \$][2
	movl	\$][4,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][16,%esp
.endif
.ifdef SYSCALL_linux
	movl	\$][buffer_l,%edx
	movl	\$][buffer,%ecx
	movl	\$][2,%ebx
	movl	\$][4,%eax
	int	\$][0x80
.endif
	xorl	%ebx,%ebx
	cmpl	\$][0,%eax
	setl	%bl
	movl	\$][1,%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.data
buffer:
	.ascii	"Z"
buffer_l = .-buffer
],
if test "Z" = `cat conftest.stderr`; then
	ac_cv_syscall_write=4
else
	ac_cv_syscall_write=n/a
fi
,
ac_cv_syscall_write=n/a
)
])dnl
AC_MSG_RESULT($ac_cv_syscall_write)
if test "$ac_cv_syscall_write" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_WRITE = $ac_cv_syscall_write
EOF
fi
])

dnl test for the syscall SYS_getcwd
dnl
AC_DEFUN(AC_SYSCALL_GETCWD,[
AC_REQUIRE([AC_SYSCALL_CONVENTION])dnl
AC_MSG_CHECKING([for syscall getcwd])
AC_CACHE_VAL(ac_cv_syscall_getcwd,[

ac_cv_syscall_getcwd=n/a
for ac_syscall_try in 326 183; do

AC_TRY_RUN_AS([
	.include "confdefs.i"
       .globl _start
_start:
	movl	\$][4096,%ecx
	movl	\$][buffer,%ebx
	movl	\$][$ac_syscall_try,%eax
.ifdef SYSCALL_unix
	pushl	%ecx
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
	addl	\$][12,%esp
.endif
.ifdef SYSCALL_linux
	int	\$][0x80
.endif
	xorl	%ebx,%ebx
	cmpl	\$][0,%eax
	setl	%bl
	cmpb	\$][0x2F,buffer
	setne	%bl
	movl	\$][1,%eax
.ifdef SYSCALL_unix
        pushl   %ebx
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.ifdef SYSCALL_linux
        int     \$][0x80
.endif
	.bss
	.lcomm	buffer,4096
],
ac_cv_syscall_getcwd=$ac_syscall_try
,
dnl ac_cv_syscall_getcwd=n/a
)
done
])dnl

AC_MSG_RESULT($ac_cv_syscall_getcwd)
if test "$ac_cv_syscall_getcwd" != n/a; then
cat >> confdefs.i <<EOF
SYSCALL_GETCWD = $ac_cv_syscall_getcwd
EOF
fi
])

dnl see what tests softlinks - test -L (linux) or test -h (freeBSD)
AC_DEFUN(AC_PROG_TEST_L,
[AC_REQUIRE([AC_PROG_LN_S])dnl
AC_MSG_CHECKING([how to test for soft links])
AC_CACHE_VAL(ac_cv_prog_test_L,[
rm -f conftestdata
$ac_cv_prog_LN_S X conftestdata 2>/dev/null
if test -L conftestdata 2>/dev/null; then
ac_cv_prog_test_L="test -L"
else if test -h conftestdata 2>/dev/null; then
ac_cv_prog_test_L="test -h"
fi fi
])dnl
if test -z "$ac_cv_prog_test_L"; then
	AC_MSG_RESULT(count not define)
else
	AC_MSG_RESULT($ac_cv_prog_test_L)
fi
TEST_L=$ac_cv_prog_test_L
AC_SUBST(TEST_L)
])

dnl Find out the syscall strategy
AC_DEFUN(AC_SYSCALL_CONVENTION,
[AC_REQUIRE([AC_PROG_AS])dnl
AC_MSG_CHECKING([syscall convention])
AC_CACHE_VAL(ac_cv_syscall_convention,[
AC_TRY_RUN_AS([
       .globl _start
_start:
  	xorl	%ebx,%ebx
  	movl    \$][1,%eax
  	int     \$][0x80
],ac_cv_syscall_convention=linux,
AC_TRY_RUN_AS([
        .globl _start
_start:
	xorl	%eax,%eax
	pushl	%eax
	incl	%eax
	pushl	%eax
	.byte	0x9A
	.long	0
	.word	7
],ac_cv_syscall_convention=unix))
])dnl
if test "$ac_cv_syscall_convention" = linux; then
AC_MSG_RESULT([int [\$]0x80 (Linux)])
cat >> confdefs.i <<EOF
SYSCALL_linux = 1
EOF
else if test "$ac_cv_syscall_convention" = unix; then
AC_MSG_RESULT([lcall [\$]7,[\$]0 (UNIX)])
cat >> confdefs.i <<EOF
SYSCALL_unix = 1
EOF
else
AC_MSG_RESULT(unknown)
AC_MSG_ERROR([sorry, only Linux-style and UNIX-style syscalls are supported])
fi fi
])

dnl created from AC_LANG_C()
dnl
AC_DEFUN(AC_LANG_AS,
[define([AC_LANG], [AS])dnl
ac_ext=s
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
# ac_cpp='$CPP $CPPFLAGS'
ac_compile='${AS-as} -I. $ASFLAGS -o conftest.o conftest.$ac_ext 1>&AC_FD_CC'
ac_link='${LD-ld} -o conftest${ac_exeext} $LDFLAGS conftest.o $LIBS 1>&AC_FD_CC'
cross_compiling=$ac_cv_prog_as_cross
])

dnl created from AC_PROG_F77
dnl
AC_DEFUN(AC_PROG_AS,
[if test -z "$AS"; then
  AC_CHECK_PROGS(AS, gas as)
    test -z "$AS" && AC_MSG_ERROR([no acceptable assembler found in \$PATH])
fi
AC_PROG_AS_WORKS
AC_PROG_AS_CONDITIONAL
])

dnl created from AC_PROG_F77
dnl
AC_DEFUN(AC_PROG_LD,
[if test -z "$LD"; then
  AC_CHECK_PROGS(LD, ld ild uld)
    test -z "$LD" && AC_MSG_ERROR([no acceptable linker found in \$PATH])
fi
])

dnl created from AC_PROG_CC_WORKS
AC_DEFUN(AC_PROG_AS_WORKS,
[AC_MSG_CHECKING([whether the assembler ($AS $ASFLAGS) works])
AC_LANG_SAVE
AC_LANG_AS
AC_TRY_COMPILER_AS([
	.globl	_start
_start:
	ret
], ac_cv_prog_as_works, ac_cv_prog_as_cross)
AC_LANG_RESTORE
AC_MSG_RESULT($ac_cv_prog_as_works)
if test $ac_cv_prog_as_works = no; then
  AC_MSG_ERROR([installation or configuration problem: assembler cannot create
object files.])
fi
dnl AC_MSG_CHECKING([whether the assembler ($AS $ASFLAGS) is a cross-assembler])
dnl AC_MSG_RESULT($ac_cv_prog_as_cross)
dnl cross_compiling=$ac_cv_prog_as_cross
])

AC_DEFUN(AC_PROG_AS_CONDITIONAL,
[AC_MSG_CHECKING([whether the assembler ($AS $ASFLAGS) supports .if/.ifdef])
AC_LANG_SAVE
AC_LANG_AS
AC_TRY_COMPILER_AS([
TEST_VAR = 1
	.globl	_start
_start:
	.if TEST_VAR
	nop	
	.endif
	.ifdef TEST_VAR
	nop
	.endif
	ret
], ac_cv_prog_as_cond, ac_cv_prog_as_cross)
AC_LANG_RESTORE
AC_MSG_RESULT($ac_cv_prog_as_cond)
if test $ac_cv_prog_as_cond = no; then
  AC_MSG_ERROR([Sorry, my own preprocessor isn't written yet])
fi
dnl AC_MSG_CHECKING([whether the assembler ($AS $ASFLAGS) is a cross-assembler])
dnl AC_MSG_RESULT($ac_cv_prog_as_cross)
dnl cross_compiling=$ac_cv_prog_as_cross
])

dnl AC_TRY_COMPILER_AS(TEST-PROGRAM, WORKING-VAR, CROSS-VAR)
AC_DEFUN(AC_TRY_COMPILER_AS,
[cat > conftest.$ac_ext << EOF
	.include "confdefs.i"
[$1]
EOF
if AC_TRY_EVAL(ac_compile) && test -s conftest.o; then
  [$2]=yes
dnl If we can't run a trivial program, we are probably using a cross compiler.
dnl test for cross-assemblers to be done yet
dnl  if (./conftest; exit) 2>/dev/null; then
    [$3]=no
dnl  else
dnl    [$3]=yes
dnl  fi
else
  echo "configure: failed program was:" >&AC_FD_CC
  cat conftest.$ac_ext >&AC_FD_CC
  [$2]=no
fi
rm -fr conftest*])


dnl  created from
dnl  AC_TRY_RUN_NATIVE(PROGRAM, [ACTION-IF-TRUE [, ACTION-IF-FALSE]])
AC_DEFUN(AC_TRY_RUN_AS,
[cat > conftest.$ac_ext <<EOF
[$1]
EOF
if AC_TRY_EVAL(ac_compile) && AC_TRY_EVAL(ac_link) && test -s conftest${ac_exeext} && (./conftest; exit) 2>conftest.stderr 1>conftest.stdout
then
dnl Don't remove the temporary files here, so they can be examined.
  ifelse([$2], , :, [$2])
else
  echo "configure: failed program was:" >&AC_FD_CC
  cat conftest.$ac_ext >&AC_FD_CC
ifelse([$3], , , [  rm -fr conftest*
  $3
])dnl
fi
rm -fr conftest*])


dnl Create the config.i files from the config.i.in files.
dnl This is a subroutine of AC_OUTPUT.  It is called inside a quoted
dnl here document whose contents are going into config.status.
dnl originally AC_OUTPUT_HEADER
dnl AC_OUTPUT_HEADER_AS(HEADER-FILE...)
define(AC_OUTPUT_HEADER_AS,
[changequote(<<, >>)dnl
# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "NAME = VALUE" lines.
ac_dA='s%^\([   ]*\)'
ac_dB='[      ]=\([     ]*\)[^  ]*%'
ac_dC=' = \2'
ac_dD='%g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)%\1#\2define\3'
ac_uC=' '
ac_uD='\4%g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='<<$>>%\1#\2define\3'
ac_eC=' '
ac_eD='%g'
changequote([, ])dnl

if test "${CONFIG_HEADERS+set}" != set; then
EOF
dnl Support passing AC_CONFIG_HEADER a value containing shell variables.
cat >> $CONFIG_STATUS <<EOF
  CONFIG_HEADERS="$1"
EOF
cat >> $CONFIG_STATUS <<\EOF
fi
for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
changequote(, )dnl
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac
changequote([, ])dnl

  echo creating $ac_file

  rm -f conftest.frag conftest.in conftest.out
  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  cat $ac_file_inputs > conftest.in

EOF

# Transform confdefs.i into a sed script conftest.vals that substitutes
# the proper values into config.i.in to produce config.i.  And first:
# Protect against being on the right side of a sed subst in config.status.
# Protect against being in an unquoted here document in config.status.
rm -f conftest.vals
dnl Using a here document instead of a string reduces the quoting nightmare.
dnl Putting comments in sed scripts is not portable.
cat > conftest.hdr <<\EOF
changequote(<<, >>)dnl
s/[\\&%]/\\&/g
s%[\\$`]%\\&%g
s%\([A-Za-z_][A-Za-z0-9_]*\) = *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
s%ac_d%ac_u%gp
s%ac_u%ac_e%gp
changequote([, ])dnl
EOF
sed -n -f conftest.hdr confdefs.i > conftest.vals
rm -f conftest.hdr

# This sed command replaces #undef with comments.  This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it.
cat >> conftest.vals <<\EOF
changequote(, )dnl
s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
changequote([, ])dnl
EOF

# Break up conftest.vals because some shells have a limit on
# the size of here documents, and old seds have small limits too.

rm -f conftest.tail
while :
do
  ac_lines=`grep -c . conftest.vals`
  # grep -c gives empty output for an empty file on some AIX systems.
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  # Write a limited-size here document to conftest.frag.
  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
  echo 'CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in
' >> $CONFIG_STATUS
  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
  rm -f conftest.vals
  mv conftest.tail conftest.vals
done
rm -f conftest.vals

dnl Now back to your regularly scheduled config.status.
cat >> $CONFIG_STATUS <<\EOF
  rm -f conftest.frag conftest.i
  echo "// $ac_file.  Generated automatically by configure." > conftest.i
  cat conftest.in >> conftest.i
  rm -f conftest.in
  if cmp -s $ac_file conftest.i 2>/dev/null; then
    echo "$ac_file is unchanged"
    rm -f conftest.i
  else
    # Remove last slash and all that follows it.  Not all systems have dirname.
  changequote(, )dnl
    ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  changequote([, ])dnl
    if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
      # The file is in a subdirectory.
      test ! -d "$ac_dir" && mkdir "$ac_dir"
    fi
    rm -f $ac_file
    mv conftest.i $ac_file
  fi
fi; done

])


dnl The big finish.
dnl Produce config.status, config.h, and links; and configure subdirs.
dnl AC_OUTPUT([FILE...] [, EXTRA-CMDS] [, INIT-CMDS])
define(AC_OUTPUT_AS,
[trap '' 1 2 15
AC_CACHE_SAVE
trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
changequote(, )dnl
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
changequote([, ])dnl
fi

trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15

ifdef([AC_LIST_HEADER], [DEFS=-DHAVE_CONFIG_H], [AC_OUTPUT_MAKE_DEFS()])

# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}

echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
dnl hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
dnl so uname gets run too.
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
[#] [$]0 [$]ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

changequote(, )dnl
ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
changequote([, ])dnl
for ac_option
do
  case "[\$]ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running [\$]{CONFIG_SHELL-/bin/sh} [$]0 [$]ac_configure_args --no-create --no-recursion"
    exec [\$]{CONFIG_SHELL-/bin/sh} [$]0 [$]ac_configure_args --no-create --no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "$CONFIG_STATUS generated by autoconf version AC_ACVERSION"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "[\$]ac_cs_usage"; exit 0 ;;
  *) echo "[\$]ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=$srcdir
ifdef([AC_PROVIDE_AC_PROG_INSTALL], [ac_given_INSTALL="$INSTALL"
])dnl

changequote(<<, >>)dnl
ifdef(<<AC_LIST_HEADER>>,
<<trap 'rm -fr `echo "$1 AC_LIST_HEADER" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15>>,
<<trap 'rm -fr `echo "$1" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15>>)
changequote([, ])dnl
EOF
cat >> $CONFIG_STATUS <<EOF

AC_OUTPUT_FILES($1)
ifdef([AC_LIST_HEADER], [AC_OUTPUT_HEADER_AS(AC_LIST_HEADER)])dnl
ifdef([AC_LIST_LINKS], [AC_OUTPUT_LINKS(AC_LIST_FILES, AC_LIST_LINKS)])dnl
EOF
cat >> $CONFIG_STATUS <<EOF
undivert(AC_DIVERSION_ICMDS)dnl
$3
EOF
cat >> $CONFIG_STATUS <<\EOF
undivert(AC_DIVERSION_CMDS)dnl
$2
exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
dnl config.status should not do recursion.
ifdef([AC_LIST_SUBDIRS], [AC_OUTPUT_SUBDIRS(AC_LIST_SUBDIRS)])dnl
])dnl

