// ASMIX Commands and Utilities
// (c) Sergei Zubkov (Cubbi) 1999
//
// rmdir.s - Remove Empty Directories
// usage: rmdir path...
//
// $Id: rmdir.s,v 1.1.1.1 1999/10/04 20:54:17 cubbi Exp $
RMDIR_V_MAJ = 1
RMDIR_V_MIN = 0

.include "config.i"
	.globl _start
_start:
	cld
.if FEATURE_FULLOPT
	xorl	%esi,%esi
// esi will be zero if no -p and 1 if there was one
.endif
	popl	%ecx
// this was argc - 1 means we are called without arguments
	decl	%ecx
	jz	error_exit
	popl	%edi
// this is argv
arguments_cycle:
// skip argv[0]
	pushl	%ecx
	movl	$-1,%ecx
	xorl	%eax,%eax
	repne
	scasb
	popl	%ecx
// Checks for arguments
.if OPTIONS
	cmpb	$1,end_of_options
	je	skip_options
// Check for --
	cmpw	$0x2D2D,(%edi)
	jne	not_dashdash
	movb	$1,end_of_options
	loop	arguments_cycle
not_dashdash:
// Check for -options
.if FEATURE_VERSION
// Check for -V
	cmpw	$0x562D,(%edi)
	je	show_version
.endif
.if FEATURE_FULLOPT
// Check for -p
	cmpw	$0x702D,(%edi)
	jne	option_p_absent
	incl	%esi
	loop	arguments_cycle
option_p_absent:
.endif
// exit with error message about unrecognized option
// and with the reminder about --
// TBD (if +errors)
// not an option -> options no more
	movb	$1,end_of_options
.endif

.if OPTIONS
//	loop	arguments_cycle
skip_options:
	jcxz	error_exit
.endif

// and now do the rmdir()
.if FEATURE_FULLOPT
// find the end of the current parameter to substitute in the end
	pushl	%ecx
	pushl	%edi
	movl	$-1,%ecx
	xorl	%eax,%eax
	repne
	scasb
	movl	%edi,%ebp
	popl	%edi
	popl	%ecx
dirname_loop:
.endif
.if SYSCALL_unix
	pushl	%edi
	movl	$SYSCALL_RMDIR,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
	addl	$8,%esp
.endif
.if SYSCALL_linux
	movl	%edi,%ebx
	movl	$SYSCALL_RMDIR,%eax
	int	$0x80
.endif
.if FEATURE_FULLOPT
	testl	%esi,%esi
	je	dumb_mode
	pushl	%ecx
	pushl	%edi
// find the end of the current parameter
	movl	$-1,%ecx
	xorl	%eax,%eax
	repne
	scasb
	movl	%edi,%ecx
	subl	(%esp),%ecx
	incl	%ecx
// scan backwards for '/'
	std
	movb	$0x2F,%al
	repne
	scasb
	cld
// if we got to the start, finish with this argument
	cmpl	(%esp),%edi
	jb	finished_path
// else replace slat with zero
	incl	%edi
	movb	$0,(%edi)
// and rmdir again
	popl	%edi
	popl	%ecx
	jmp	dirname_loop
// scanned back to start - replace edi with the address of the next par
finished_path:
	popl	%edi
	popl	%ecx
	movl	%ebp,%edi
	decl	%edi
dumb_mode:
.endif
	decl	%ecx
	jnz	arguments_cycle

// exit the program - exit(0)
exit:
	xorl	%ebx,%ebx
.if SYSCALL_unix
	pushl	%eax
	movl	$SYSCALL_EXIT,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.if SYSCALL_linux
	movl	$SYSCALL_EXIT,%eax
	int	$0x80
.endif

error_exit:
	xorl	%ebx,%ebx
	incl	%ebx
	movl	$SYSCALL_EXIT,%eax
.if SYSCALL_unix
	pushl	%ebx
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.if SYSCALL_linux
	int	$0x80
.endif


.if FEATURE_VERSION
show_version:
.if SYSCALL_unix
        pushl   $version_l
        pushl   $version
        pushl   $1
        movl    $SYSCALL_WRITE,%eax
        pushl   %eax
        .byte   0x9A
        .long   0
        .word   7
        addl    $16,%esp
.endif
.if SYSCALL_linux
	movl	$version_l,%edx
	movl	$version,%ecx
	movl	$1,%ebx
	movl	$SYSCALL_WRITE,%eax
	int	$0x80
.endif
	jmp	exit
.endif

	.data
.if OPTIONS
end_of_options:
	.byte	0
.if FEATURE_FULLOPT
option_p:
	.byte	0
.endif
.endif
.if FEATURE_VERSION
version:
	.ascii	"rmdir.s "
	.byte	'0'+RMDIR_V_MAJ
	.ascii	"."
	.byte	'0'+RMDIR_V_MIN
	.ascii	"+version"
.if FEATURE_FULLOPT
	.ascii	"+options"
.endif
	.ascii	" ASMIX CU "
	.byte	'0'+ASMIX_VER_MAJ
	.ascii	"."
	.byte	'0'+ASMIX_VER_MIN
	.ascii	"."
	.byte	'0'+ASMIX_VER_REV
	.ascii	"\012"
version_l = .-version
.endif
