#!/bin/sh
# $Id: test-pwd.sh,v 1.2 1999/10/07 04:26:00 cubbi Exp $
TESTPROG=`pwd`/../bin/pwd
CURDIR=`pwd`

# Test 0: check if it exists
if test ! -f $TESTPROG; then
        echo "failed: $TESTPROG doesn't exist"
        exit
fi

# Test 1: check if the output of our pwd is exactly the same as of system pwd
echo -n "Testing `basename $TESTPROG`... "
if test `pwd` != `$TESTPROG`; then
	echo "failed: not the same as \`pwd\`"
	exit
fi

# Test 2: check if our pwd returns non-zero in a non-existing dir
mkdir pwd_test_dir
cd pwd_test_dir
rmdir ../pwd_test_dir
if $TESTPROG >/dev/null 2>/dev/null; then
	echo "failed: did not return 0 in non-existing dir"
	cd $CURDIR
	rmdir pwd_test_dir >/dev/null 2>/dev/null
        exit
fi
cd $CURDIR
rmdir pwd_test_dir >/dev/null 2>/dev/null

echo passed

